Chuyển đến nội dung
Diễn đàn CADViet
Học AutoCAD Online cùng CADViet
Đăng nhập để thực hiện theo  
dnhqs

[Hỏi] Không chạy được SSGET

Các bài được khuyến nghị

Nhờ xem hộ tại sao không thể chạy được

 

;========================================================================

(defun c:ns (/ mau OS om hesodientich hesotb)

(setq chontext "txet")

(while (/= chontext "TEXT")

(while (null (setq es (entsel "\nChon TEXT thu 1:")))

(princ "\n No object found!")

)

(setq es (car es))

(setq chontext (cdr (assoc 0 (entget es))))

)

(setq ptk1 (cdr (assoc 10 (entget es))))

 

(setq chontext "txet")

(while (/= chontext "TEXT")

(while (null (setq es (entsel "\nChon TEXT thu 2:")))

(princ "\n No object found!")

)

(setq es (car es))

(setq chontext (cdr (assoc 0 (entget es))))

)

(setq ptk2 (cdr (assoc 10 (entget es))))

(setq es (cdr (assoc 1 (entget es))))

 

(setq chontext "txet")

(while (/= chontext "TEXT")

(while (null (setq es (entsel "\nChon TEXT thu 3:")))

(princ "\n No object found!")

)

(setq es (car es))

(setq chontext (cdr (assoc 0 (entget es))))

)

(setq ptk3 (cdr (assoc 10 (entget es))))

 

(setq ss1 (ssget "wp" ptk1 ptk2 ptk3 '((0 . "point"))))

(prompt "\n Chuc mot buoi lam viec vui ve.\n")

(princ)

)

;========================================================================

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhờ xem hộ tại sao không thể chạy được

 

;========================================================================

(defun c:ns (/ mau OS om hesodientich hesotb)
(setq chontext "txet")
(while (/= chontext "TEXT")
(while (null (setq es (entsel "\nChon TEXT thu 1:")))
  (princ "\n No object found!")
)
(setq es (car es))
(setq chontext (cdr (assoc 0 (entget es))))
)
(setq ptk1 (cdr (assoc 10 (entget es))))

(setq chontext "txet")
(while (/= chontext "TEXT")
(while (null (setq es (entsel "\nChon TEXT thu 2:")))
  (princ "\n No object found!")
)
(setq es (car es))
(setq chontext (cdr (assoc 0 (entget es))))
)
(setq ptk2 (cdr (assoc 10 (entget es))))
(setq es (cdr (assoc 1 (entget es))))

(setq chontext "txet")
(while (/= chontext "TEXT")
(while (null (setq es (entsel "\nChon TEXT thu 3:")))
  (princ "\n No object found!")
)
(setq es (car es))
(setq chontext (cdr (assoc 0 (entget es))))
)
(setq ptk3 (cdr (assoc 10 (entget es))))

(setq ss1 (ssget "wp" ptk1 ptk2 ptk3 '((0 . "point"))))
(prompt "\n Chuc mot buoi lam viec vui ve.\n")
(princ)
)

;========================================================================

bạn sửa dòng này (setq ss1 (ssget "wp" ptk1 ptk2 ptk3 '((0 . "point"))))

thành (setq ss1 (ssget "wp" (list ptk1 ptk2 ptk3) '((0 . "point"))))

vì WP là đa giác nhận 1 list point

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×